# collect function

(Shortest import: `from brian2 import collect)`

brian2.core.magic.collect(level=0)

  Return the list of `BrianObject`s that will be simulated if `run()` is called.

  Parameters:

    level : int, optional

    > How much further up to go in the stack to find the objects. Needs only to be specified if `collect()` is called as part of a function and should be increased by 1 for every level of nesting. Defaults to 0.

  Returns:

    objects : set of `BrianObject`

    > The objects that will be simulated.